body {
  margin: 0;
  background: #111111;
  overflow: hidden;
  display: flex;
  place-content: center;
  align-items: center;
}

div[abs] {
  position: absolute;
}

div[planet] {
  height: 10em;
  width: 120vw;
  border-radius: 50% 50% 0 0;
  background: #B38434;
  box-shadow: 0 -2em 5em #2A6FE1;
  bottom: 0;
  left: -10vw;
}

div[moon1],
div[moon2] {
  aspect-ratio: 1;
  border-radius: 50%;
  background-image: radial-gradient(circle at 0%, #a59a9a, #111111 82%, #111111 90%);

}

div[moon1] {
  height: 10em;
  bottom: 30%;
  left: 15%;
}

div[moon2] {
  height: 2em;
  bottom: 70%;
  left: 45%;
}

div[destroyer] {
  height: 30%;
  width: 50%;
  background: #a59a9a;
  top: 0;
  right: 50%;
  clip-path: polygon(0 0, 100% 0, 53% 100%, 47% 100%);
  transform: translateX(50%);
  animation: destroyer 30s infinite linear;
}

div[d-shadow] {
  height: 100%;
  width: 100%;
  background: #1111119f;
  clip-path: polygon(50% 0, 100% 0, 53% 100%, 50% 100%);
}

div[d-border]{
  height: 100%;
  width: 100%;
  background: #313131;
}

div[l] {
  clip-path: polygon(5% 0, 8% 0, 48% 100%, 48% 100%);
}

div[d-rim] {
  height: 100%;
  width: 100%;
  background: #e7e4e4;
  clip-path: polygon(46% 0, 47% 0, 49% 100%, 49% 100%);
}

div[r] {
  clip-path: polygon(92% 0, 95% 0, 52% 100%, 52% 100%);
}

div[ship] {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  background: #a59a9a;
  border-radius: .5em;
  padding: 1px;
  top: 50%;
  right: 50%;
  transform: translateX(50%);
  animation: ship 30s infinite linear;
}

div[cabin] {
  width: 3.4em;
  height: 1.1em;
  background: #6e6969;
  border-radius: .5em;
  bottom: -.3em;
  left: 50%;
  transform: translateX(-50%);
  z-index: -1;
}

div[row] {
  display: flex;
  justify-content: center;
}

div[spacer] {
  height: 1em;
  width: .5em;
}

div[motor] {
  height: 1em;
  aspect-ratio: 1;
  background: #e9d6c6;
  border-radius: 50%;
  background-image: radial-gradient(transparent, #f19951);
  box-shadow: 0 0 .2em #f19951;
  border: 1px solid #f19951;
  animation: fire 5s infinite ease-in-out;
}

div[lasers] {
  height: 55%;
  width: 55%;
  top: 0;
  right: 50%;
  transform: translateX(50%);
  animation: lasers 30s infinite linear;
}

.normal-star {
  width: 2px;
  height: 2px;
  background-color: white;
  border: 4px dotted "#EEEEEE";
  border-radius: 1px;
  position: absolute;
  animation-iteration-count: infinite;
  animation-name: zoom_out;
  z-index: -1;
}

#sky {
  height: 100vh;
  width: 100vw;
  position: relative;
}

@keyframes destroyer {
  0% {
    top: -62%;
  }
  100% {
    top: 0;
  }
}

@keyframes lasers {
  0% {
    top: -51%;
  }
  90% {
    top: 0;
  }
  100% {
    top: 0;
  }
}

@keyframes ship {
  0% {
    top: 0;
    transform: scale(1.5) translateX(50%);
  }
  90% {
    top: 50%;
    transform: scale(1) translateX(50%);
  }
  100% {
    top: 55%;
    transform: scale(.8) translateX(50%);
  }
}

@keyframes fire {
  0%, 25%, 50%, 75%, 100% {
    box-shadow: 0 0 .2em #f19951;
  }
  12%, 38%, 62%, 88% {
    box-shadow: 0 0 1em #f19951;
  }
}

div[laser] {
  width: .7em;
  height: 7em;
  background: white;
  border-radius: 50%;
  background-image: radial-gradient(transparent 40%, #3eda18);
  box-shadow: 0 0 1.2em .2em #3eda18;
  bottom: 0;
  left: 50%;
}

div[ll] {
  animation: laser1 .5s infinite linear;
}

div[lr] {
  animation: laser2 .5s infinite linear;
}

div[s-laser] {
  width: .7em;
  height: 7em;
  background: white;
  border-radius: 50%;
  background-image: radial-gradient(transparent 40%, #da4518);
  box-shadow: 0 0 1.2em .2em #da4518;
  bottom: 0;
  left: 0;
  animation: laser3 .5s infinite linear;
}

@keyframes laser1 {
  0% {
    bottom: 100%;
    left: 15%;
    transform: rotate(-32deg) scale(1);
  }
  100% {
    bottom: 0;
    left: 50%;
    transform: rotate(-32deg) scale(0);
  }
}

@keyframes laser2 {
  0% {
    bottom: 100%;
    left: 85%;
    transform: rotate(32deg) scale(1);
  }
  100% {
    bottom: 0;
    left: 50%;
    transform: rotate(32deg) scale(0);
  }
}

@keyframes laser3 {
  0% {
    bottom: 0;
    left: 50%;
    transform: rotate(2deg) scale(.2);
  }
  100% {
    bottom: 94%;
    left: 52%;
    transform: rotate(2deg) scale(1);
  }
}
